Skip to main content
`Ctrl`+`K`

# BVSetOptionsPrefix

Sets the prefix used for searching for all `BV` options in the database.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetOptionsPrefix(BV bv,const char prefix[])

Logically Collective

## Input Parameters

- bv - the basis vectors context

- prefix - the prefix string to prepend to all `BV` option requests

## Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

BV: Basis Vectors, `BVAppendOptionsPrefix()`, `BVGetOptionsPrefix()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvfunc.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages